org.codehaus.plexus.classworlds.launcher

## Interface ConfigurationHandler

All Known Implementing Classes:
  Configurator

    public interface ConfigurationHandler

Receive notification of the logical content of launcher configuration.

Author:
  Igor Fedorenko

### Method Summary

Methods
`void` `addImportFrom(java.lang.String relamName, java.lang.String importSpec)`
`void` `addLoadFile(java.io.File file)`
`void` `addLoadURL(java.net.URL url)`
`void` `addRealm(java.lang.String realmName)`
`void` `setAppMain(java.lang.String mainClassName, java.lang.String mainRealmName)`

### Method Detail

#### setAppMain

    void setAppMain(java.lang.String mainClassName,
                  java.lang.String mainRealmName)

#### addRealm

    void addRealm(java.lang.String realmName)
                  throws DuplicateRealmException

Throws:
  `DuplicateRealmException`

#### addImportFrom

    void addImportFrom(java.lang.String relamName,
                     java.lang.String importSpec)
                       throws NoSuchRealmException

Throws:
  `NoSuchRealmException`

#### addLoadFile

    void addLoadFile(java.io.File file)

#### addLoadURL

    void addLoadURL(java.net.URL url)